Skip to content

Update module details ​

PATCH/api/v1/workspaces/{workspace_slug}/projects/{project_id}/modules/{resource_id}/

Update a module's properties, such as its name, description, status, or timeline.

Path parameters ​

resource_id:requiredstring

The unique identifier of the resource.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

name:optionalstring

The module's name.

description:optionalstring

The module's description.

start_date:optionalstring

The module's start date.

target_date:optionalstring

The module's target date.

status:optionalstring

The module's status:

  • backlog - Backlog
  • planned - Planned
  • in-progress - In Progress
  • paused - Paused
  • completed - Completed
  • cancelled - Cancelled
lead:optionalstring

ID of the module's lead.

members:optionalarray

User IDs of the module's members.

external_source:optionalstring

The system external_id came from, for example github or jira.

external_id:optionalstring

Your system's identifier for this record, for sync and import correlation.

Scopes ​

projects.modules:write

Update module details
bash
curl -X PATCH \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/modules/resource-id-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "description": "Example description",
  "start_date": "2024-01-01",
  "end_date": "2024-01-01",
  "external_id": "550e8400-e29b-41d4-a716-446655440000",
  "external_source": "github"
}'
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description": "Example description",
  "start_date": "2024-01-01",
  "target_date": "2024-01-01",
  "status": "in-progress",
  "total_issues": 12,
  "completed_issues": 5,
  "cancelled_issues": 0,
  "started_issues": 4,
  "unstarted_issues": 3,
  "backlog_issues": 0,
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z"
}